Version 4.0.26.22 (latest)

### Get the list of tables for a schema

For dialects that support multiple databases, optionally identify which to use. If not provided, the default
database for the connection will be used.

For dialects that do **not** support multiple databases, **do not use** the database parameter

## Request

GET /connections/{connection_name}/tables Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... connection_name string Name of connection query HTTP Query Expand HTTP Query definition... database string Optional. Name of database to use for the query, only if applicable schema_name string Optional. Return only tables for this schema cache boolean True to fetch from cache, false to load fresh fields string Requested fields. table_filter string Optional. Return tables with names that contain this value table_limit integer Optional. Return tables up to the table_limit

## Response

### 200: Schemas and tables for connection

Datatype Description (array) [SchemaTables](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/SchemaTables)\[\] name string Schema name is_default boolean True if this is the default schema tables [SchemaTable](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/SchemaTable)\[\] Expand SchemaTable definition... name string Schema item name sql_escaped_name string Full name of item schema_name string Name of schema rows integer Number of data rows external string External reference??? snippets [Snippet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Snippet)\[\] Expand Snippet definition... name string Name of the snippet label string Label of the snippet sql string SQL text of the snippet table_limit_hit boolean True if the table limit was hit while retrieving tables in this schema

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link